library Demo;

uses SysUtils, JNI, JavaBridge;

procedure Java_test_Test_hello(Environment: PJNIEnv; Cls: JClass; Text: JString); stdcall;
var
  Bridge: TJavaBridge;
  Chars: PJChar;
  IsCopy: JBoolean;
begin
  try
    Bridge := TJavaBridge.Create(Environment);
    try
      Chars := Bridge.GetStringChars(Text, IsCopy);
      try
        WriteLn(WideString(Chars));
      finally
        Bridge.ReleaseStringChars(Text, Chars);
      end;
    finally
      Bridge.Free;
    end;
  except
    on E: Exception do
      WriteLn(E.ClassName, ': ', E.Message);
  end;
end;

exports
  Java_test_Test_hello;

{$R *.res}

begin
end.